## net.sourceforge.pmd.cpd
Class AnyLanguage.AnyFileOrDirectoryFilter

    java.lang.Object
      net.sourceforge.pmd.cpd.AnyLanguage.AnyFileOrDirectoryFilter

All Implemented Interfaces:
  java.io.FilenameFilter

Enclosing class:
  AnyLanguage

public static class AnyLanguage.AnyFileOrDirectoryFilter
extends java.lang.Object
implements java.io.FilenameFilter

Field Summary
`(package private) java.lang.String` `extension`

Constructor Summary
`AnyLanguage.AnyFileOrDirectoryFilter(java.lang.String extension)`

Method Summary
`boolean` `accept(java.io.File dir, java.lang.String filename)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### extension

    java.lang.String extension

Constructor Detail

### AnyLanguage.AnyFileOrDirectoryFilter

    public AnyLanguage.AnyFileOrDirectoryFilter(java.lang.String extension)

Method Detail

### accept

    public boolean accept(java.io.File dir,
                          java.lang.String filename)

  Specified by:
    `accept` in interface `java.io.FilenameFilter`

Copyright © 2002-2006 InfoEther. All Rights Reserved.